This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### saveStream()
Examples |
Description | Save the contents of a stream to a file in the sketch folder. This is basically saveBytes(blah, loadBytes()), but done more efficiently (and with less confusing syntax). The target parameter can be either a String specifying a file name, or, for greater control over the file location, a File object. (Note that, unlike some other functions, this will not automatically compress or uncompress gzip files.)
Syntax |
    saveStream(target, source)
Parameters |
target | File, or String: name of the file to write to
source | String: location to read from (a filename, path, or URL)
Returns | boolean or void
Related | createOutput()

Updated on October 26, 2013 08:58:30pm PDT